SDL_strupr(3)

NAME
SDL_strupr - Convert a string to uppercase.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

char* SDL_strupr(char *str);

DESCRIPTION
WARNING : Regardless of system locale, this will only convert ASCII values 'A' through 'Z' to uppercase. This function operates on a null-terminated string of bytes--even if it is malformed UTF-8!--and converts ASCII characters 'a' through 'z' to their uppercase equivalents in-place, returning the original str pointer.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_strlwr(3)